#include <QtGui>
#include <QtTest/QtTest>

class TestKeyType: public QObject
{
	Q_OBJECT
	
private slots:
	void testKeyInput();

};

void TestKeyType::testKeyInput()
{
	QLineEdit lineEdit;
	QTest::keyClicks(&lineEdit, "hello world");
	QCOMPARE(lineEdit.text(), QString("hello world"));

	QTest::keyClicks(&lineEdit, "hello worlD2");
	QCOMPARE(lineEdit.text(), QString("hello world2"));
}

QTEST_MAIN(TestKeyType)
#include "sample.moc"

